""Basic stuff
execute pathogen#infect()
syntax on
filetype plugin indent on
set number
""Colors
colorscheme synthwave
set t_Co=256
""Misc
set clipboard=unnamedplus
set nofoldenable
""Spaces instead of tabs
set expandtab
set tabstop=4
set shiftwidth=4
""MuComplete
"set completeopt+=menuone
"set completeopt+=noinsert
"set shortmess+=c
"set hlsearch
"set incsearch
"set ignorecase
"set smartcase
"let g:mucomplete#enable_auto_at_startup = 1
"let g:mucomplete#completion_delay = 1
""Keybindings
set pastetoggle=<F2>
map <Space> :noh<CR>
"" Mail
au FileType mail
    \ if expand('%p') =~ '^/tmp/neomutt-' |
    \     set ft=markdown            	  |
    \ endif
"" Markdown
au FileType markdown Goyo 80
let g:markdown_fenced_languages = ['cpp', 'python', 'java']
let g:vim_markdown_math=1
"" Pandoc
autocmd FileType markdown nnoremap <silent> <F3> :<c-u>!pandoc %:p:S -o %:p:r:S.pdf --from markdown --template eisvogel --listings &<cr>
autocmd FileType markdown nnoremap <silent> <F4> :<c-u>!pandoc %:p:S -o %:p:r:S.pdf -t beamer -V theme:metropolis --listings &<cr>
autocmd FileType markdown nnoremap <silent> <F5> :<c-u>!zathura %:p:r:S.pdf &<cr>
autocmd FileType markdown nnoremap <silent> <F6> :<c-u>!rm %:p:r:S.pdf &<cr>
"" Snippets
let g:UltiSnipsExpandTrigger = '<tab>'
let g:UltiSnipsJumpForwardTrigger = '<tab>'
let g:UltiSnipsJumpBackwardTrigger = '<s-tab>'
""Quitting whether Goyo is active or not
function! g:Goyo_before()
  let b:quitting = 0
  let b:quitting_bang = 0
  autocmd QuitPre <buffer> let b:quitting = 1
  cabbrev <buffer> q! let b:quitting_bang = 1 <bar> q!
endfunction

function! g:Goyo_after()
  if b:quitting && len(filter(range(1, bufnr('$')), 'buflisted(v:val)')) == 1
    if b:quitting_bang
      qa!
    else
      qa
    endif
  endif
endfunction

let g:goyo_callbacks = [function('g:Goyo_before'), function('g:Goyo_after')]
